Gatana logoGatana Docs
RoutesDeploymentsStatus

/deployments/status

Get the deployment status of an MCP server or a sandbox. Provide either serverSlug or sandboxId; requires read permission on the server

GET
/deployments/status
AuthorizationBearer <token>

In: header

Query Parameters

sandboxId?string

ID of the sandbox to get the status of

serverSlug?string

Slug of the server to get the status of

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/deployments/status"
{
  "isDeployed": true,
  "isAvailable": true,
  "isStabilizing": true,
  "currentReplicaSet": "string",
  "deployments": [
    {
      "name": "string",
      "ready": true,
      "crash": true,
      "phase": "string",
      "reason": "string",
      "createdAt": "string",
      "restartCount": 0,
      "hasPreviousFailure": true,
      "lastFailCondition": {
        "lastProbeTime": "string",
        "lastTransitionTime": "string",
        "message": "string",
        "observedGeneration": 0,
        "reason": "string",
        "status": "string",
        "type": "string"
      },
      "lastFailure": {
        "containerName": "string",
        "exitCode": 0,
        "reason": "string",
        "message": "string",
        "finishedAt": "string"
      },
      "waitingReason": "string"
    }
  ],
  "storage": {
    "claimName": "string",
    "phase": "string",
    "requestedSize": "string",
    "lastAttachedAt": "string",
    "usedBytes": 0
  }
}